*{
    margin: 0;
    padding: 0;
    text-decoration: none;
    box-sizing: border-box;
}
body{
    overflow-x: hidden;
    background-image: url(images/home\ bg.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}
.logo {
    display: flex;
    position: relative;
    top: 2rem;
    gap: 20px;
    left: 10rem;
    align-items: center;
}
.logo img{
    
    width: 110px;
}
.logo h1{
    font-size: 2.5rem;
    color: #f8c017
}

.menu-toggle {
    display: block;
    position: relative;
    top: -2.2rem;
    left: 82rem;
    z-index: 1;
}
.menu-toggle input[type = "checkbox"]{
    display: block;
    width: 40px;
    height: 32px;
    position: absolute;
    top: -7px;
    left: -5px;
    cursor: pointer;
    z-index: 2;
    opacity: 0;
}
.menu-toggle span{
    display: block;
    width: 33px;
    height: 4px;
    background-color: #f8c017;
    margin-bottom: 5px;
    position: relative;
    z-index: 1;
    transform-origin: 3px 2px;
    transition: transform 0.3s, background 0.5s cubic-bezier(0.77,0.2,0.05,1.0);

}
.menu-toggle input:checked ~ span{
    opacity: 1;
    transform: rotate(45deg);
    background-color: #131e3d;
}
.menu-toggle input:checked ~ span:nth-last-child(3){
    opacity: 0;
}
.menu-toggle input:checked ~ span:nth-last-child(2){
    transform: rotate(-45deg);
}

.menu-links {
    position: absolute;
    width: 300px;
    height: 3000px;
    background-color: #f5ead9ab;
    margin: -100px 0 0 -44px;
    padding: 125px 50px 50px 50px;
    list-style: none;
    transform: translate(100%, 0);
    transition: transform 0.5s ;
}
.menu-toggle input:checked ~ ul{
    transform: none;
}
.menu-links a{
    color: #293e53;
    transition: color 0.3s ease;
}
.menu-links a:hover{
    color: #f8c017;
    transform: scale(1.2);
}
.menu-links li{
    padding: 10px 0;
    font-size: 22px;
}

/* ----about ----- */
.about2-content {
    margin-top: 5rem;
}
.about2-section{
    max-width: 1250px;
    margin: auto;
}

.about-title {
  text-align: center;
  font-size: 3rem;
  color: white;
  position: relative;
  margin-bottom: 30px;
}

.about-title::after {
  content: '';
  width: 500px;
  height: 3px;
  background-color: white;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -10px;
}
.about2-section p{
    color: white;
    text-align: center;
    padding-top: 50px;
    font-size: 1.2rem;
    animation: slideFormLeft 1s ease forwards;
    opacity: 0;
}
@keyframes slideFormLeft {
    0%{
        opacity: 0;
        transform: translateX(-100%);
    }
    100%{
        opacity: 1;
        transform: translateX(0);
    }
}
.about2-items {
    background-image: url(images/lib.jpg);
    background-size: cover;
    height: 600px;
    position: relative;
    margin-top: 5rem;
}
.about-img-des {
    background-color: #f5ead9;
    width: 500px;
    height: 400px;
    position: absolute;
    bottom: -60px;
    right: 120px;
}
.about-img-des p{
    padding: 2rem;
    margin-top: 2rem;

}
.about-img-des2 {
    margin-top: 5rem;
    color: white;
    width: 781px;
    text-align: left;
    margin-left: 5rem;

}

/* ------footer------ */
.footer-content{
    background-color: #f5ead9;
    padding: auto;
    margin-top: 5rem;

}
.footer-section {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    /* gap: 16px; */
    padding: 20px;
}
.footer-copyleft{
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: center;
    align-items: center;
}

.footer-copyleft img{
    width: 100px;
}
.footer-content h2{
    color: #f8c017;
}
 
.footer-copyright{
    color: #293e53;
    font-size: 20px;    
    
}

/* ----------- RESPONSIVE FOR PHONES -----------*/

@media (max-width: 768px) {
    .menu-toggle{
        left: 40rem;
    }
    .logo{
        left: 5rem;
    }
    .menu-links{
        height: 3020px;
    }
    .about2-section p{
            margin: 0 10px;
            font-size: 18px;
    }
    .about-img-des {
    background-color: #f5ead9b3;
    bottom: 103px;
    border: 1px solid white;
    border-radius: 20px;
    color:#293e53;
    text-align: center;
}
    .about-img-des2{
        width: 620px;
        text-align: center;
    }
}
 